Bug 394781 - RHEL4 sosreport has no support for lvmdump
RHEL4 sosreport has no support for lvmdump
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sos (Show other bugs)
4.6
All Linux
urgent Severity medium
: rc
: ---
Assigned To: Adam Stokes
: ZStream
Depends On:
Blocks: 450860 450861
  Show dependency treegraph
 
Reported: 2007-11-21 14:26 EST by Bryn M. Reeves
Modified: 2008-07-24 15:30 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0663
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:30:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryn M. Reeves 2007-11-21 14:26:10 EST
Description of problem:
There is no support in the RHEL4 sosreport for gathering an lvmdump tarball that
is used to debug LVM2 and device-mapper related problems.

This is a standard format for this data that is supported/maintained by the
upstream project via the lvmdump script that is installed with the lvm2 RPM
(introduced in RHEL-4.5).

Not having this data in the sosreport archive generates needless back/fore
requests for additional info in dealing with LVM2/device-mapper problems.

Version-Release number of selected component (if applicable):
sos-1.7-6.1

How reproducible:
100%

Steps to Reproduce:
1. make sure sos is installed
2. grep -r /usr/lib/python2.3/site-packages/sos

  
Actual results:
$ grep -r /usr/lib/python2.3/site-packages/sos
$

Expected results:
$ grep -r lvmdump /usr/lib/python2.3/site-packages/sos/plugins/devicemapper.py 
    optionList = [("lvmdump", 'collect raw metadata from PVs', 'slow', False)]
    def do_lvmdump(self):
        sosGetCommandOutput("lvmdump -d %s" %
os.path.join(self.cInfo['dstroot'],"lvmdump"))
        if self.getOption('lvmdump'):
            self.do_lvmdump()
[...]

Additional info:
Comment 3 Bryn M. Reeves 2008-04-16 06:53:22 EDT
There's also a bug in the upstream sos version now in RHEL5 - lvmdump should be
run by default instead of the hard-coded lvm data gathering that now exists.
Comment 7 Suzanne Yeghiayan 2008-05-28 17:28:03 EDT
Unfortunately this bugzilla was not resolved in time for RHEL 4.7 Beta.
It has now been proposed for inclusion in RHEL 4.8 but must regain Product
Management approval.
Comment 19 errata-xmlrpc 2008-07-24 15:30:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0663.html

Note You need to log in before you can comment on or make changes to this bug.